org.apache.lucene.store

## Class ChecksumIndexInput

- java.lang.Object
- - org.apache.lucene.store.DataInput
  - - org.apache.lucene.store.IndexInput
    - - org.apache.lucene.store.ChecksumIndexInput

All Implemented Interfaces:
  Closeable, AutoCloseable, Cloneable

    public class ChecksumIndexInput
    extends IndexInput

Reads bytes through to a primary IndexInput, computing checksum as it goes. Note that you cannot use seek().

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

### Constructor Summary

Constructors
Constructor and Description
`ChecksumIndexInput(IndexInput main)`

### Method Summary

Methods
`void` `close()` Closes the stream to further operations.
`long` `getChecksum()`
`long` `getFilePointer()` Returns the current position in this file, where the next read will occur.
`long` `length()` The number of bytes in the file.
`byte` `readByte()` Reads and returns a single byte.
`void` `readBytes(byte[] b, int offset, int len)` Reads a specified number of bytes into an array at the specified offset.
`void` `seek(long pos)` Sets current position in this file, where the next read will occur.

### Methods inherited from class org.apache.lucene.store.IndexInput

`clone, toString`

### Methods inherited from class org.apache.lucene.store.DataInput

`readBytes, readInt, readLong, readShort, readString, readStringSet, readStringStringMap, readVInt, readVLong`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ChecksumIndexInput

    public ChecksumIndexInput(IndexInput main)

### Method Detail

#### readByte

    public byte readByte()
                  throws IOException

Description copied from class: `DataInput`
Reads and returns a single byte.

Specified by:
  `readByte` in class `DataInput`
Throws:
  `IOException`
See Also:
  `DataOutput.writeByte(byte)`

#### readBytes

    public void readBytes(byte[] b,
                 int offset,
                 int len)
                   throws IOException

Description copied from class: `DataInput`
Reads a specified number of bytes into an array at the specified offset.

Specified by:
  `readBytes` in class `DataInput`
Parameters:
  `b` - the array to read bytes into
  `offset` - the offset in the array to start storing bytes
  `len` - the number of bytes to read
Throws:
  `IOException`
See Also:
  `DataOutput.writeBytes(byte[],int)`

#### getChecksum

    public long getChecksum()

#### close

    public void close()
               throws IOException

Description copied from class: `IndexInput`
Closes the stream to further operations.

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in class `IndexInput`
Throws:
  `IOException`

#### getFilePointer

    public long getFilePointer()

Description copied from class: `IndexInput`
Returns the current position in this file, where the next read will occur.

Specified by:
  `getFilePointer` in class `IndexInput`
See Also:
  `IndexInput.seek(long)`

#### seek

    public void seek(long pos)

Description copied from class: `IndexInput`
Sets current position in this file, where the next read will occur.

Specified by:
  `seek` in class `IndexInput`
See Also:
  `IndexInput.getFilePointer()`

#### length

    public long length()

Description copied from class: `IndexInput`
The number of bytes in the file.

Specified by:
  `length` in class `IndexInput`